org.apache.ignite.marshaller.optimized

## Interface OptimizedMarshallerIdMapper

    public interface OptimizedMarshallerIdMapper

ID mapper.

### Method Summary

Methods
`int` `typeId(String clsName)` Gets type ID for provided class name.

### Method Detail

#### typeId

    int typeId(String clsName)

Gets type ID for provided class name.

If `0` is returned, hash code of class name will be used.

Parameters:
  `clsName` - Class name.
Returns:
  Type ID.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016